<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Conteudo {
    
    private $chave  = "39efdf876"; // CHAVE DO ADMINISTRADOR DA API DE CONTEÚDO
    private $token  = "2586a51a22"; // TOKEN DO ADMINISTRADOR DA API DE CONTEÚDO
    private $login  = "admin.amazonia"; // LOGIN DO ADMINISTRADOR DA API DE CONTEÚDO
    private $perfil = 33; // PERFIL CRIADO PELO ADMINISTRADOR, NESTE CASO É ALUNO
    private $categoria = 22; //CATEGORIA CRIADA PELO ADMINISTRADOR, NESTE CASO É ALUNO_AMAZÔNIA
    
    
    public function adicionarusuario($nome_aluno, $hash, $email) {
        
        // CRIA O USUARIO CASO ELA NÃO EXISTA
       
        $auth = array(
            'auth' => array(
                "chave" => $this->chave,
                "token" => $this->token, // PARÂMETROS DE CONFIGURAÇÃO DO ADMINISTRADOR
                "login" => $this->login
            ),
            'requisicao' => array(
                'instituicao' => 7,
                'nome' => $nome_aluno,
                'email' => $email,
                'ddd' => '',
                'celular' => '',
                'login' => $hash,
                'cep' => '',
                'escolaridade' => 1,
                'formacao' => '',
                'documento' => '',
                'tipo' => 2,
                'situacao' => 1,
                'perfil' => ''
            )
        );

        $json_request_add = json_encode($auth);
        $url_add = 'https://www.aporfia.com.br/ovum/apiconteudo/usuario/add';

        $ch_add = curl_init();

        curl_setopt($ch_add, CURLOPT_URL, $url_add);
        curl_setopt($ch_add, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch_add, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch_add, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch_add, CURLOPT_FILETIME, true);
        curl_setopt($ch_add, CURLOPT_POSTFIELDS, array('request' => $json_request_add));

        $output_add = curl_exec($ch_add);
      
        curl_close($ch_add);

        
        $output['resposta'] = json_decode(($output_add), true);
        
        //print_r($output);
        
        $k12=$output['resposta']['tipo'];
        if($k12=="Falha"){
            $id_usuario = $output['resposta']['dados'][0]['id_usuario'];
            
        }
        
       
        else {
      
        
        $id_usuario = $output['resposta']['dados'][0]['id'];
        }
        
        
        
       // echo $id_usuario;
        
        $r = array(
            'auth' => array(
                "chave" => $this->chave,
                "token" => $this->token, // PARÂMETROS DE CONFIGURAÇÃO DO ADMINISTRADOR
                "login" => $this->login
            ),
            'requisicao' => array(
                'id' => $id_usuario
            )
        );

        $json_request_adds = json_encode($r);
        
        //print_r($json_request_adds);
        
        
        $url = 'https://www.aporfia.com.br/ovum/apiconteudo/usuario/get';

        $ch_adds = curl_init();

        curl_setopt($ch_adds, CURLOPT_URL, $url);
        curl_setopt($ch_adds, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch_adds, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch_adds, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch_adds, CURLOPT_FILETIME, true);
        curl_setopt($ch_adds, CURLOPT_POSTFIELDS, array('request' => $json_request_adds));

        $output_adds = curl_exec($ch_adds);

        curl_close($ch_adds);


        $output = json_decode($output_adds, true);
        
        
        
        $dados = array('id' => $output['dados'][0]['id_usuario'], 'chave' => $output['dados'][0]['chave'], 'token' => $output['dados'][0]['token'], 'login' => $output['dados'][0]['login']);
        
        return $dados;
    }
    
      public function apiconteudo($nome_curso, $id_usuario, $chave, $token, $login, $escolha) {
       
        $json_request = json_encode(array(
            "auth" => array(
                "chave" => $chave,
                "token" => $token, // PARÂMETROS DE CONFIGURAÇÃO DO ALUNO
                "login" => $login
            ),
            'sender' => array(
                'user' => $id_usuario,
                'perfil' => $this->perfil,
                'categoria' => $this->categoria
            ),
            'requisicao' => array(
                'termo' => $nome_curso,
                'dominio' => '',
                'ranking' => 'false',
                'recursos' => array(
                    'youtube' => array(
                        'max_result' => 3,
                        'request' => $escolha['youtube']
                    ),
                    'pdf' => array(
                        'max_result' => 3,
                        'request' => $escolha['pdf']
                    ),
                    'books' => array(
                        'max_result' => 3,
                        'request' => $escolha['livro']
                    ),
                    'linkweb' => array(
                        'max_result' => 3,
                        'request' => $escolha['link']
                    )
                ),
            )
                )
        );
        
        $url = 'https://www.aporfia.com.br/ovum/apiconteudo/conteudo/get';

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_FILETIME, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, array('request' => $json_request));

        $output = curl_exec($ch);
      
        curl_close($ch);
     
        $dados = array(
            'pdf'     => @json_decode($output)->dados->search[0]->pdf,
            'youtube' => @json_decode($output)->dados->search[0]->youtube,
            'livros'  => @json_decode($output)->dados->search[0]->books,
            'links'   => @json_decode($output)->dados->search[0]->linkweb
        );
        
        return $dados;
    }
}
